Bug 26468 - Unable to upgrade (6.2 -> 7.0), RAID
Unable to upgrade (6.2 -> 7.0), RAID
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-07 11:01 EST by Rupa Schomaker
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-08 15:12:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rupa Schomaker 2001-02-07 11:01:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Custom boot disk (ATA100 support) + RH7 CD.  The system is running RAID1 
on all partitions.  If I select the upgrade path, I get the following 
exception.  I cannot seem to get it to save to floppy (i put in a new 
floppy and the disk moves and then I'm asked for another one, rinse and 
repeat) so I'm typing it in.  Hopefully I'll have gotten everything.  

The RAID is autostarted (all are fd and the status of the raid starting 
goes by at boot).  Note: that I must manually create each raid device 
in /dev, and do a raidstop on each too boot cleanly.  Simply ctrl-alt-del 
causes an oops.


Traceback (inntermost last):
  File "/usr/bin/anaconda", line 438, in ? intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 245, in 
    parts = todo.upgradeFindRoot ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 841, in 
    mdList = raid.startAllRaid(drives)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/raid.py", line 63, in 
    isys.raidstart(devName, deviceList[0])
  File "isys.py", line 38, in raidstart
    _isys.raidstart(fd, "/tmp/member")
SystemError: (17, 'File exists')


/tmp/member does exist -- looks like a big binary file.

Resolution: stop all raid devices *before* starting the upgrade thing.  If 
I go to the bash prompt (VC2), do a:

cd /dev; for i in 1 2 3 4 5 6 7 8 9 10; do mknod md$i; done
for i in md*; do raidstop /dev/$i; done

Then let the upgrade continue.

Reproducible: Always
Steps to Reproduce:
1. Do an upgrade install
Comment 1 Erik Troan 2001-02-08 15:12:03 EST
Can you try this again, and 'cat /proc/mdstat' when you get the traceback?
Seeing your /etc/raidtab would be good as well.
Comment 2 Michael Fulbright 2001-03-05 17:46:17 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.